The designer can offer several interface languages in its menu, loaded from Stimulsoft language XML files.

In Angular.
import { Component } from "@angular/core";
import { Designer, Stimulsoft } from "stimulsoft-dashboards-js-angular/designer";

@Component({
    imports: [Designer],
    template: `<sti-designer [(report)]="report" [options]="options"></sti-designer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;
    options: Stimulsoft.Designer.StiDesignerOptions;

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/Dashboard.mrt");

        // Add languages to the designer's language menu
        Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/de.xml");
        Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/ja.xml", false, "MyLabel");

        // Load one at startup and set it as default
        Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/pt.xml", true);
        Stimulsoft.Base.Localization.StiLocalization.cultureName = "Portuguese";

        this.options = new Stimulsoft.Designer.StiDesignerOptions();
        this.options.appearance.fullScreenMode = true;
    }
}

How it works. Each file registers a language in the menu, so users switch the designer's interface on demand.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

The designer can offer several interface languages in its menu, loaded from Stimulsoft language XML files.

In Vue.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/designer'

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");

// Add languages to the designer's language menu
Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/de.xml");
Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/ja.xml", false, "MyLabel");

// Load one at startup and set it as default
Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/pt.xml", true);
Stimulsoft.Base.Localization.StiLocalization.cultureName = "Portuguese";

var options = new Stimulsoft.Designer.StiDesignerOptions();
options.appearance.fullScreenMode = true;
</script>

<template>
    <Designer :report="report" :options="options" />
</template>

How it works. Each file registers a language in the menu, so users switch the designer's interface on demand.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.